Subject: Re: [PATCH v3 06/19] dt-bindings: pwm: imx-pwm: Add i.MX 8M compatibles

From: Thierry Reding <[email-masked]>
Date: Wed, 23 Sep 2020 16:15:11 +0200

On Wed, Sep 23, 2020 at 04:08:53PM +0200, Krzysztof Kozlowski wrote:
> On Wed, 23 Sep 2020 at 13:52, Thierry Reding <[email-masked]> wrote:
> >
> > On Tue, Aug 25, 2020 at 09:35:23PM +0200, Krzysztof Kozlowski wrote:
> > > DTSes with new i.MX 8M SoCs introduce their own compatibles so add them
> > > to fix dtbs_check warnings like:
> > >
> > >   arch/arm64/boot/dts/freescale/imx8mm-evk.dt.yaml: pwm@30660000:
> > >     compatible:0: 'fsl,imx8mm-pwm' is not one of ['fsl,imx1-pwm', 'fsl,imx27-pwm']
> > >     From schema: Documentation/devicetree/bindings/pwm/imx-pwm.yaml
> > >
> > >   arch/arm64/boot/dts/freescale/imx8mm-evk.dt.yaml: pwm@30660000:
> > >     compatible: ['fsl,imx8mm-pwm', 'fsl,imx27-pwm'] is too long
> > >
> > >   arch/arm64/boot/dts/freescale/imx8mm-evk.dt.yaml: pwm@30660000:
> > >     compatible: Additional items are not allowed ('fsl,imx27-pwm' was unexpected)
> > >
> > > Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> > > Reviewed-by: Rob Herring <[email-masked]>
> > > ---
> > >  Documentation/devicetree/bindings/pwm/imx-pwm.yaml | 14 +++++++++++---
> > >  1 file changed, 11 insertions(+), 3 deletions(-)
> >
> > Applied, thanks.
> 
> Thanks Thierry, but this was already picked up by Rob into DT tree.

I hadn't seen any email and since Rob had given a reviewed-by I assumed
this was supposed to be picked up into subsystem trees. I'll drop it
again.

Thierry
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel